/*==================== GOOGLE FONTS ====================*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/*==================== VARIABLES CSS ====================*/
:root {
    --header-height: 3rem;

    /*========== Colors ==========*/
    /* Change favorite color */
    --hue-color: 215; /*Purple 250 - Green 142 - Blue 230 - Pink 340*/

    /* HSL color mode */
    --first-color: hsl(var(--hue-color), 69%, 61%);
    --first-color-second: hsl(var(--hue-color), 69%, 61%);
    --first-color-alt: hsl(var(--hue-color), 56%, 52%);
    --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
    --title-color: hsl(var(--hue-color), 8%, 15%);
    --text-color: hsl(var(--hue-color), 8%, 45%);
    --text-color-light: hsl(var(--hue-color), 8%, 65%);
    --input-color: hsl(var(--hue-color), 70%, 96%);
    --body-color: hsl(var(--hue-color), 60%, 99%);
    --container-color: #fff;
    --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
    --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);

    /*========== Font and typography ==========*/
    --body-font: 'Poppins', sans-serif;

    /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px ... */
    --big-font-size: 2rem;
    --h1-font-size: 1.5rem;
    --h2-font-size: 1.25rem;
    --h3-font-size: 1.125rem;
    --normal-font-size: .938rem;
    --small-font-size: .813rem;
    --smaller-font-size: .75rem;

    /*========== Font weight ==========*/
    --font-medium: 500;
    --font-semi-bold: 600;

    /*========== Margenes Bottom ==========*/
    /* .25rem = 4px, .5rem = 8px, .75rem = 12px ... */
    --mb-0-25: .25rem;
    --mb-0-5: .5rem;
    --mb-0-75: .75rem;
    --mb-1: 1rem;
    --mb-1-5: 1.5rem;
    --mb-2: 2rem;
    --mb-2-5: 2.5rem;
    --mb-3: 2rem;

    /*========== z index ==========*/
    --z-tooltip: 10;
    --z-fixed: 100;
    --z-modal: 1000;
}

/* Font size for large devices */
@media screen and (min-width: 968px) {
    :root {
        --big-font-size: 3rem;
        --h1-font-size: 2.25rem;
        --h2-font-size: 1.5rem;
        --h3-font-size: 1.25rem;
        --normal-font-size: 1rem;
        --small-font-size: .875rem;
        --smaller-font-size: .813rem;
    }
}

/*========== Variables Dark theme ==========*/


/*========== Button Dark/Light ==========*/


/*==================== BASE ====================*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth; 
}

body {
  margin: 0 0 var(--header-height) 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}

h1, h2, h3, h4 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*==================== REUSABLE CSS CLASSES ====================*/
.section {
  padding: 2rem 0 2rem;
}

.section__title {
  font-size: var(--h1-font-size);
  color: var(--title-color);
}

.section__subtitle {
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
}

.section__title, 
.section__subtitle {
  text-align: center;
}

/*==================== LAYOUT ====================*/
.container {
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
  box-shadow: 0 -1px 4px rgba(0,0,0,.15);
  transition: .3s;
}

/*==================== NAV ====================*/
.nav{
  max-width: 968px;
  height:var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo, .nav__toggle{
  color: var(--title-color);
  font-weight: var(--font-medium);
}

.nav__logo:hover{
  color: var(--first-color);
}

.nav__toggle{
  font-size: 1.5rem;
  cursor: pointer;
}

.nav__toggle:hover{
  color: var(--first-color);
}

@media screen and (max-width: 767px){
  .home{
    padding-top: 0;
  }
  .home__content{
    padding-top: .5rem;
  }
  .nav__menu{
    position:fixed;
    bottom: -100%;
    left: 0;
    width: 100%;
    background-color: var(--body-color);
    padding: 2rem 1.5rem 4rem;
    box-shadow: 0 -1px 4px rgba(0,0,0,.15);
    border-radius: 1.5rem 1.5rem 0 0;
    transition: .3s;
  }
}

.nav__list{
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.nav__link{
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
}
.nav__link:hover{
  color: var(--first-color);
}

.nav__icon{
  font-size: 1.2rem;
}

.nav__close{
  position: absolute;
  right: 15%;
  bottom: 1rem;
  cursor: pointer;
  color: var(--first-color);
  transition: linear .3s;
}

.nav__close:hover{
  color:rgb(134, 1, 1);
}

/* show menu */
.show-menu {
  bottom: 0;
}

/* Active link */


/* Change background header */


/*==================== HOME ====================*/
.home{
  padding-bottom: 32px;
}
.home__container{
  gap: 1rem;
}

.home__content{
  grid-template-columns: .5fr 1fr;
  padding-top: 3.5rem;
  align-items: center;
}

.home__social{
  display: grid;
  grid-template-columns: max-content;
  row-gap: 1rem;
  margin-bottom: 20px;
}

.home__social-icon{
  font-size: 1.5rem;
  color: var(--first-color);
}
.home__social-icon:hover{
  color:var(--first-color-alt);
}

.home__blob{
  position: absolute;
  right: 10%;
  top: 5%;
  width:200px;
  fill: var(--first-color);
}

.home__blob-img{
  width:200px;
}
.home__data{
  grid-column:1/3;
}

.home__title{
  font-size: var(--big-font-size);
}
.home__subtitle{
  font-size: var(--h3-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}

.home__description{
  margin-bottom: var(--mb-2);
}
.home__scroll{
  display:none; 
}
.home__scroll-button{
  color: var(--first-color);
  transition: .3s;
}
.home__scroll-button:hover{
  transform: translateY(.25rem);
}
.home__scroll-mouse{
  font-size: 1.5rem;
}
.home__scroll-name{
  font-size:var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}
.home__scroll-arrrow{
  font-size:1.25rem;
}
/*==================== BUTTONS ====================*/
.button{
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding:1rem;
  border-radius: .5rem;
}
.button:hover{
  background-color:var(--first-color-alt);
}

.button__icon{
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: .3s;
}

.button--flex{
  display: inline-flex;
  align-items: center;
}

.button-smaller{
  padding: .75rem 1rem;
}
.button--link{
  padding:0;
  background-color: transparent;
  color: var(--first-color);
}
.button--link:hover{
  background-color: transparent;
  color: var(--first-color-alt);
}
/*==================== ABOUT ====================*/
.about{
  padding-bottom: 32px;
}
.intro-subtitle{
margin-bottom: 30px;
}
.about__img{
  width: 200px;
  border-radius: .5rem;
  justify-self: center;
  align-self: center;
}
.about__description{
  text-align: center;
  margin-bottom: var(--mb-2-5);
}

.about__info{
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2-5);
}

.about__info-title{
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}

.about__info-name{
  font-size: var(--smaller-font-size);
}

.about__info-title, 
.about__info-name{
  display: block;
  text-align: center;
}

.about__buttons{
  display: flex;
  justify-content:center;
}

/*==================== SKILLS ====================*/
.skills{
  padding-bottom: 32px;
}
.skills__container{
  row-gap: 0;
}

.skills__header{
  display: flex;
  align-items: center;
  cursor: pointer;
  margin-bottom: var(--mb-2-5);
}

.skills__icon,
.skills__arrow{
  font-size: 2rem;
  color: var(--first-color);
}

.skills__icon{
  margin-right: var(--mb-0-75);
}

.skills__title{
  font-size: var(--h3-font-size);
  margin-bottom: 0;
}

.skills__subtitle{
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}

.skills__arrow{
  margin-left:auto;
  transition: .4s;
}

.skill__list{
  row-gap: 1rem;
  width: 90%;
  padding-left: 2.7rem;
}

.skills__titles{
  display: flex;
  justify-content: space-between;
  margin-bottom: var(--mb-0-5);
}

.skills__name{
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}

.skills__bar,
.skills_percentage{
  height: 5px;
  border-radius: .25rem;
}

.skills__bar{
  background-color: var(--first-color-lighter);
}
.skills_percentage{
  display: block;
  background-color: var(--first-color);
}
.skills__html{width: 90%}
.skills__css{width: 80%}
.skills__js{width: 85%}
.skills__react{width: 80%}

.skills__python{width: 90%}
.skills__node{width: 80%}
.skills__firebase{width: 70%}
.skills__django{width: 80%}

.skills__figma{width: 80%}
.skills__xd{width: 80%}
.skills__illustrator{width: 80%}
.skills__photoshop{width: 70%}

.skills__close .skill__list{
  height: 0;
  overflow: hidden;
}

.skills__open .skill__list{
  height: max-content;
  margin-bottom: var(--mb-2-5);
}
.skills__open .skills__arrow{
  transform: rotate(-180deg)
}
/*==================== QUALIFICATION ====================*/
.qualification{
  padding-bottom: 32px;
}
.qualification__tabs{
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2);
}
.qualification__button{
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  opacity: 40%;
  cursor: pointer;
}
.qualification__button:hover{
  opacity: 60%;
  color: var(--first-color);
}
.qualification__icon{
  font-size:1.8rem;
  margin-right: var(--mb-o-25);
}
.qualification__data{
  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  column-gap: 1.5rem;
}
.qualification__title{
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}
.qualification__subtitle{
  display: inline-block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-1);
}
.qualification__calendar{
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}
.qualification__rounder{
  display: inline-block;
  width: 13px;
  height: 13px;
  background-color: var(--first-color);
  border-radius: 50%;
}
.qualification__line{
  display: block;
  width: 1px;
  height: 100%;
  background-color: var(--first-color);
  transform: translate(6px, -7px);
}
.qualification [data-content]{
  display: none; 
}
.qualification__active[data-content]{
  display: block;
}
.qualification__button.qualification__active{
  opacity: 100%;
  color: var(--first-color);
}
.qualification_institute{
  cursor: pointer;
  text-decoration: none;
  color: var(--text-color-light);
}
.qualification_institute:hover{
  color: var(--first-color);
}

/*==================== SERVICES ====================*/
.services{
  padding-bottom: 32px;
}
.services__container{
  gap: 1.5rem;
  grid-template-columns: repeat(2, 1fr);
}
.services__content{
  position: relative;
  background-color: var(--container-color);
  padding: 1.5rem .5rem 1.25rem 1.5rem;
  border-radius: .35rem;
  box-shadow: 0 2px 4px rgba(0,0,0, .15);
  transition: .3s;
}
.services__content:hover{
  box-shadow: 0 5px 10px rgba(0,0,0, .15);
}
.services__icon{
  display: block;
  font-size: 1.5rem;
  color: var(--first-color);
  margin-bottom: var(--mb-1);
}
.services__title{
  font-size: var(--h4-font-size);
  margin-right: 12px;
  margin-bottom: var(--mb-1);
  font-weight: var(--first-medium);
}
.services__button{
  cursor: pointer;
  font-size: var(--small-font-size);
}
.services__buttton:hover .button__icon{
  transform: translateX(.25rem);
}
.services__modal{
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,.5);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
  z-index: var(--z-modal);
  opacity: 0;
  visibility: hidden;
  transition: .3s;
}
.services__modal-content{
  position: relative;
  background-color: var(--container-color);
  padding: 1.5rem;
  border-radius: .5rem;
}
.services__modal-services{
  row-gap: 1rem;
}
.services__modal-service{
  display: flex;
}
.services__modal-title{
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1-5);
}
.services__modal-close{
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 1.5rem;
  color: var(--first-color);
  cursor: pointer;
}
.services__modal-icon{
  color: var(--first-color);
  margin-right: var(--mb-0-25);
}
/* Active Modal */
.active-modal{
  opacity: 100;
  visibility: visible;
}
/*==================== PORTFOLIO ====================*/
.portfolio{
  margin-bottom: 0;
  padding-bottom: 0;
}
.portfolio__container{
  overflow: initial;
}
.portfolio__content{
  padding: 0 0 2.5rem 0;
}
.portfolio__img{
  width: 90%;
  border-radius: .5rem;
  justify-self: center;
}
.portfolio__data{
  width: 95%;
  justify-self: center;
}
.portfolio__title{
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-0-5);
}
.portfolio__description{
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-0-5);
}
.portfolio__demo:hover{
  transform: translate(.25rem)
}

/*==================== CONTACT ME ====================*/
.project-message{
  text-align: center;
  padding: 0.5rem 20%;
}
.absolute_holder{
  position: relative;
  display: grid;
}
.contact__container{
  row-gap: 1rem;
  max-width: 10rem;
  justify-self: center;
}
.contact__info{
  display: flex;
  margin-bottom: 2rem;
  justify-items: center;
}
.contact__link:hover{
  color: var(--first-color);
}
.contact__icon{
  font-size: 1.5rem;
  color: var(--first-color);
  margin-right: var(--mb-0-75);
}
.contact__title{
  font-size: 1rem;
  font-weight: var(--font-medium);
  color: rgba(0,0,0,.5);
}
/*==================== FOOTER ====================*/
.footer{
  text-align: center;
  background-color: rgb(243, 243, 243);
  padding-bottom: 0;
}
.footer-title{
  padding: 20px 0 20px 0;
}
.footer__social{
  display: block;
  grid-template-columns: max-content;
  row-gap: 1rem;
  padding-bottom: 30px;
}
.footer-icon{
  margin-right: 20px;
}

/*========== whatsapp ==========*/
.whatsapp{
  position: fixed;
  right: -1rem;
  bottom: 1.5rem;
  width: 6rem;
  height: 6rem;
  opacity: 0.5;
}
.whatsapp_icon{
  width:100%;
}
.whatsapp:hover{
  width: 6rem;
  height: 6rem;
  opacity: 0.8;
  transition: linear 0.2s;
}

/*========== SCROLL UP ==========*/


/* Show scroll */


/*========== SCROLL BAR ==========*/


/*==================== MEDIA QUERIES ====================*/
/* For small devices */


/* For medium devices */
@media screen and (min-width: 568px) {
  .home__content{
    grid-template-columns: max-content 1fr 1fr;
  }
  .home__data{
    grid-column: initial;
  }
  .home__blob{
    position: relative;
  }
  .home__img{
    order: 1;
    justify-self: center;
  }
  .about__container{
    grid-template-columns: repeat(2, 1fr);
  }
  .CTA-about{
    align-self: center;
  }
  .about__data{
    order: 2;
  }
  .skills{
    margin: 0 10%;
  }
  .qualification__sections{
    display: grid;
    grid-template-columns: .6fr;
    justify-content: center; 
  }
  .portfolio__content{
    grid-template-columns: repeat(2, 1fr);
  }
  .portfolio_pattern{
    grid-row-start: 1;
    grid-row-end: 2;
}
  .portfolio__content{
    margin-bottom: 4rem;
  }
  .whatsapp{
    right: -0.8 rem;
    bottom: 1.7rem;
  }
  .whatsapp:hover{
    width: 9rem;
    height: 9rem;
    opacity: 0.8;
    transition: linear 0.2s;
  }
}





@media screen and (min-width: 768px) {
  .container{
    margin-left: auto;
    margin-right: auto;
  }
  body{
    margin: 0;
  }
.section{
  padding: 5rem 0 2rem;
}
.section__subtitle{
  margin-bottom: 4rem;
}
.header{
  top: 0;
  bottom: initial;
}
.header, .main, .footer__container{
  padding: 0 1rem;
}
.nav{
  height: 3.5rem;
  column-gap: 1rem;
}
.nav__icon, .nav__close, .nav__toggle{
  display: none;
}
.nav__list{
  display: flex;
  column-gap: 2rem;
}
.nav__menu{
  margin-left: auto;
}
.home__container{
  row-gap: 5rem;
}
.home__content{
  padding-top: 5.5rem;
  column-gap: 2rem;
}
.home__blob{
  width: 270px;
}
.about__container{
  column-gap: 5rem;
}
.about__description{
  text-align: initial;
}
.qualification__tabs{
  justify-content: center;
}
.qualification__button{
  margin: 0 var(--mb-1);
}
.qualification__sections{
  grid-template-columns: .5fr;
}
.services__container{
  grid-template-columns: repeat(3, 218px);
  justify-content: center;
}
.services__icon{
  font-size: 2rem;
}
.services__content{
  padding: 4rem 0 2rem 1.5rem;
}
.portfolio__description{
  font-size: 0.9rem;
}
.whatsapp{
  right: -0.8 rem;
  bottom: 0;
}
.footer{
  text-align: center;
  background-color: rgb(243, 243, 243);
  padding-bottom: 1rem;
}
.portfolio__content{
  column-gap: 0.5rem;
}
}


/* For large devices */
@media screen and (min-width: 1024px) {
.header, .main, .footer__container{
  padding: 0;
}
.home__content{
 padding-top: 30px !important;
}
.home__blob{
  width:280px;
  transform: translateX(3rem);
}
.home__social{
  transform: translateX(-6rem);
}
.services__container{
  grid-template-columns: repeat(3, 238px);
}
.portfolio__content{
  column-gap: 0.5rem;
}
}